/*   imcreate.c   */
/*   jjk   */
/*   01-10-90   */

/*  C function to create image (from imfort library subroutine call) */
/*  For reading and writing.  Returns image descriptor or -1 if a
	problem  */

#include <stdio.h>
#include <string.h>
#include "imiraf.h"

int imcreate(image)
    struct IMAGE image;
{
    int ier, naxis=2, axlen[7];
    char *imemsg();

    if(image.rows<0 || image.rows>10000 || image.cols<0 ||
    	image.cols>10000)
	error("IMCREATE:  rows or columns not set\n");
    if(image.pixtype<0 || image.pixtype>20)
	error("IMCREATE:  pixtype not set\n");
    axlen[0]=image.cols;
    axlen[1]=image.rows;
    imcrea_(image.file, axlen, &naxis, &image.pixtype, &ier,
	strlen(image.file));
    if(ier)
	printf("IMCREATE:  %s\n", imemsg(ier));
    return(ier);
}
