/*   imgs2r.c   */
/*   jjk   */
/*   01-13-90   */

/*  C function to get an image section from imfort library subroutine
	call   */
/*   01-15-90:  for some reason, I have to use the intermediate i and
		j variables
		It is also important to note that this uses the
		image.box substructure and not the whole image  */
/*   10-02-90:  Added a fix that copies the image structure.  */

#include "imiraf.h"

struct IMAGE imgs2r(im, image)
    int im;
    struct IMAGE image;
{
    int ier, i1, i2, j1, j2;
    float *buf;
    struct IMAGE img;
    char *imemsg();

    img=image;
    i1=img.box.x1;
    i2=img.box.x2;
    j1=img.box.y1;
    j2=img.box.y2;
    if(img.box.x1>img.box.x2)
	error("IMGS2R:  x2>x1\n");
    buf=img.pixels;
    imgs2r_(&im, buf, &i1, &i2, &j1, &j2, &ier);
    img.pixels=buf;
    if(ier)
	error(sprintf("IMGS2R:  %s\n", imemsg(ier)));
    return(img);
}
