/*   imiraf.h   */
/*   jjk    */
/*   01-13-90   */

/*  Include file to be used with iraf.a for the imfort library */

#define ERR -1
#define SHORT 3
#define INT 4
#define LONG 5
#define FLOAT 6
#define DOUBLE 7
#define COMPLEX 8
#define USHORT 11

#define IMFORT_SZ_OPNAME       80
#define IMFORT_SZ_KEYWORD      20

struct BOX
{
    int x1, x2, y1, y2;
};

struct IMAGE
{
    char file[120];
    int rows, cols;
    int pixtype;
    float *pixels;
    struct BOX box;
};

struct IMAGE imgsize(), imgs2r(), imtranspose(), openfimg();

char *
clargc (int argno, char *outstr);

int
clnarg (int *nargs);
