/*   imopnc.c   */
/*   jjk   */
/*   01-15-90   */

/*  C function to copy image header and allocate pix file (from 
	imfort library subroutine call)   */
/*   Note that pixel file is allocated to be the same as the original.
	If this is not large enough, imcrea() should be used.  If the
	new pixel file is smaller, this is (slightly?) inefficient.  */

#include <stdio.h>
#include <string.h>

int imopnc(name, oim)
    char *name;
    int oim;
{
    char *pstring;
    int i=0, nim, ier;
    char *imemsg();

    if((pstring=strrchr(name, '.'))==NULL || strcmp(pstring, ".imh"))
	strcat(name, ".imh");
    do
    {
	if(i++)
	    if(access(".", 2)!=-1)
	    {
		printf("Creating file %s\n", name);
		break;
	    }
	    else
	    {
	        printf("Cannot access or wrong mode; try again.  ");
	        if(strlen(name)<5 || i>1)
	            strent("Input file name:  ", name, 100);
                if((pstring=strrchr(name, '.'))==NULL ||
		    strcmp(pstring, ".imh"))
	            strcat(name, ".imh");
	    }
    } while(access(name, 6)== -1);
    imopnc_(name, &oim, &nim, &ier, strlen(name));
    if(ier)
    {
	nim= -1;
	printf("IMOPNC:  %s\n", imemsg(ier));
    }
    return(nim);
}
