/*   imrwopen.c   */
/*   jjk   */
/*   01-10-90   */

/*  C function to open image from imfort library subroutine call   */
/*  For reading and writing.  Returns image descriptor or -1 if a
	problem  */
/*  Note:  takes struct IMAGE as input.  If the image exists, then
	only the image.file is used, otherwise, other members of the
	structure are passed to imcreate() and used  */

#include <stdio.h>
#include <string.h>
#include "imiraf.h"

int imrwopen(image)
    struct IMAGE image;
{
    char *pstring, *name;
    int i=0, im, ier, acmode=3;
    char *imemsg();

    name=image.file;
    if((pstring=strrchr(name, '.'))==NULL || strcmp(pstring, ".imh"))
	strcat(name, ".imh");
    while(access(name, 6)== -1)
    {
	if(access(".", 2)!=-1)
	{
	    printf("Creating file %s\n", image.file);
	    if(imcreate(image)==ERR)
		error("IMCREATE\n");
	}
	else
	{
	    printf("Cannot access or wrong mode; try again.  ");
	    if(strlen(name)<5 || i++>1)
		strent("File name (0>none): ",name, 100);
	    if((pstring=strrchr(name, '.'))==NULL ||
		strcmp(pstring, ".imh"))
		strcat(name, ".imh");
	}
    }
    imopen_(name, &acmode, &im, &ier, strlen(name));
    if(ier)
    {
	im= -1;
	printf("IMRWOPEN:  %s\n", imemsg(ier));
    }
    return(im);
}
