/*START*/
/* day_of_year */
/*
Source File : /usr/sel/phtm/eph/day_of_year
Author(s) : Stephen Levine

Description : take year, month, day and return the day of the year

Algorithm : converts month and day to day of year. See 
		``The C Programming Language'' by Kernighan and Ritchie,
			pages 104 - 105, for program.

Calling Sequence : day_calculated = day_of_year(year, month, day);

Parameter(s) : year, month, day are integers.

Returned Value(s) : day is integer.

Routines Called : 

Bugs and Restrictions : 

See also :  

Revisions :  <Give date, your name or initials, and brief description of
		the revision.  List most recent revision first.  If the change
		is subtle or risky, comment out the code you modified and
		make a note about what you did.>
*/
/*FINISH*/
static int day_tab[2][13] ={
	{0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 },
	{0, 31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 }
};

day_of_year(year, month, day)
int year, month, day;
{
	int i, leap;
	
	leap = year%4 == 0 && year%100 != 0 || year%400 == 0;
	for(i = 1; i < month; i++)
		day +=day_tab[leap][i];
	return(day);
}
