/*   rwopen.c  */
/*   jjk        */
/*   07-28-85   */

/*   Opens file for reading and writing  */
/*   06-10-86:  included access check   */

/*   07-25-88:  added line to create file if it didn't exist  */
/*   07-25-88:  files are now automatically appended instead of
		overwritten.  It is now the responsibility of the
		calling program to do a rewind if the data is to be
		overwritten   */

#include <stdio.h>
#include <strings.h>

FILE *rwopen(filename)
char *filename;
{
    char file[100];
    int i=0;
    FILE *fp, *fopen();

    strcpy(file, filename);
    do
    {
	if(i++)
	    if(access(".", 2)!=-1)
	    {
		printf("Creating file %s\n", file);
		break;
	    }
	    else
	    {
	        printf("Cannot access or wrong mode; try again.  ");
	        if(strlen(filename)<1 || i>1)
	            strent("File name (0>none): ",file, 100);
	    }
    } while(access(file, 6)== -1);
    if(file[0]!='0')
        if ((fp=fopen(file, "a+"))==NULL)
	    error("RWOPEN: unable to open for reading/writing");
	else
    	    return(fp);
}
