/*
 *	strent
 *
 *	String entry subroutine
 *		to either get a new string or retain old one if
 *		user just enters return.
 *	N.B.: spaces and tabs are converted into underscores.
 *		the result is that you get one long "word"
 *		with no spaces in it.
 *
 *	written by Stephen Levine - mit optical astronomy group
 *	on 8 march 1986
 *
 *		This routine wants:
 *			prompt - a string with your prompt
 *			string - the last value of string you wish
 *					to replace
 *			numletters - maximum number of letters for
 *					string. If numletters is
 *					zero, the routine presumes a
 *					variable length array (max. length
 *					of 100 char).
 */
/*   12-12-87:  comment Steve's wonderful idea of turning spaces to
		underscores   */

#include <stdio.h>
#include <ctype.h>

#define MAXNUM 100

strent(prompt,string,numletters)
char *prompt[];
char *string[];
int numletters;
{
	int i = 0;
	char value[MAXNUM];

	if(numletters == 0)
		numletters = MAXNUM;

 	printf("%s  [ %s ] ( %d letters max.): ", prompt,string,numletters);
   	while(((value[i]=getchar())!='\n') && (i < numletters)){
/*		if((isspace(value[i])) != 0)  */
/*			value[i] = '_';  */
/*		printf("value[%d] = %c\n",i,value[i]);  */
		i++;
	}
	value[i] = '\0';
	if(i != 0)
		strcpy(string,value);
}
