/*START*/
/* yy_to_ymd */
/*
Source File : /usr/sel/phtm/eph/yy_to_ymd.c
Author(s) : Stephen Levine   written 27 May 1986

Description : Convert date in yyyy.mmdd format to yyyy mm dd format

Algorithm : 

Calling Sequence : yy_to_ymd(date, &year, &month, &day);

Parameter(s) : date is a double of form yyyy.mmdd

Returned Value(s) : year, month, day are all integers

Routines Called : 

Bugs and Restrictions :

See also : 

Revisions :  created 27 may 1986 by Stephen Levine
	 <Give date, your name or initials, and brief description of
		the revision.  List most recent revision first.  If the change
		is subtle or risky, comment out the code you modified and
		make a note about what you did.>
*/
/*FINISH*/
#include <math.h>

yy_to_ymd(date, year, month, day)
double date;
int *year, *month, *day;
{
	double sub;

	date += 0.00001;
	*year = (int)(date);
	sub = (date - *year)*100.;
	*month = (int)(sub);
	*day = (int)((sub - *month)*100.);
}
