/*---------------------------------------------------------------
           FILE: irafio.h
      $Revision: 2.1 $
         $State: Exp $
  Last submitted $Date: 93/05/13 21:14:12 $ $Author: jh $

   Locked out by $Locker: jh $

  REVISION HISTORY
  $Log:	irafio.h,v $
 * Revision 2.1  93/05/13  21:14:12  jh
 * added inclusion of memory.h
 * 
 * Revision 2.0  93/03/30  18:05:39  jh
 * Actual first release version.
 * 
 * Revision 1.2  93/03/30  13:55:45  jh
 * General code cleanup, testing, and added features.
 * First release version.
 * 
 * Revision 1.1  92/12/15  13:12:16  jh
 * Initial revision
 * 

  $Source: /u3/jh/jupobs92/anal/iraf/src/jiggle/RCS/irafio.h,v $

  Copyright (c) 1992, 1993 Joseph Harrington.
  All Rights reserved.
---------------------------------------------------------------*/
#ifndef IRAFIO_PROTECT
#ifndef LINT
static char rcsidirafioh[] = "$Header: /u3/jh/jupobs92/anal/iraf/src/jiggle/RCS/irafio.h,v 2.1 93/05/13 21:14:12 jh Exp Locker: jh $";
static char copyrightirafioh[] =
    "Copyright (c) 1992, 1993 Joseph Harrington.  All Rights reserved.";
#endif
#endif

/*---------------------------------------------------------------
irafio.h = include file for irafio routines
---------------------------------------------------------------*/
#ifndef IRAFIO_PROTECT
#define IRAFIO_PROTECT

/* inclusions */
#include "memory.h"

/* prototypes */

#if defined(__STDC__) || defined(__cplusplus)
# define P_(s) s
#else
# define P_(s) ()
#endif


/* irafio.c */
Doub2 *iraf_read_float_image P_((char *filename));
int iraf_write_float_image P_((char *filename, Doub2 *out));

#undef P_

#endif
