/*   openfimg.c   */
/*   jjk   */
/*   09-25-91   */

/*   Open full image.  Uses header info to get size  */
/*   NOTE:  Still need to use imropen() to get im descriptor  */
/*   01-06-92:  make the image of type FLOAT, even if it started as
		SHORT or INT  */

#include <stdio.h>
#include <malloc.h>
#include "imiraf.h"

struct IMAGE openfimg(im, image)
    int im;
    struct IMAGE image;

{
    image=imgsize(im, image);
    if(image.pixtype!=FLOAT)
    {
	image.pixtype=FLOAT;
	warn("OPENFIMG():  setting pixtype to FLOAT\n");
    }
    image.box.x1=image.box.y1=1;
    image.box.x2=image.cols;
    image.box.y2=image.rows;
    if((image.pixels=(float *)malloc((image.box.x2 - image.box.x1 +
	1)*(image.box.y2 - image.box.y1 + 1)*sizeof(float)))==NULL)
	error("OPENFIMG(): malloc()\n");
    image=imgs2r(im, image);
    return(image);
}
