
/*START*/
/*TITLE dbl_check */
/*
Source File : /usr/local/utility/src/dbl_check.c
Author(s) : Stephen Levine
Latest Version: 6/27/86

Description : allows double entry with boundary checking

Algorithm : 

Calling Sequence : new_number =dbl_check(prompt,number,lower_bound,upper_bound);
			N.B.: put in following line with
				initilizations:
				double dbl_check();

Parameter(s) : prompt - char array with entry prompt
		number - double which is last value in field
		lower_bound - double
		upper_bound - double

Returned Value(s) : new_number - double is new number (or number if <RET>
			was entered

Routines Called : dblent, and the stdio library

Bugs and Restrictions : <give known problems, suggested improvements, etc.> 

See also :  /usr/local/utility/dblent.c

Revisions :  <Give date, your name or initials, and brief description of
		the revision.  List most recent revision first.  If the change
		is subtle or risky, comment out the code you modified and
		make a note about what you did.>
*/
/*FINISH*/

#include <stdio.h>
#include <math.h>

double dbl_check(prompt,number,lower_bound,upper_bound)
char *prompt[];
double number, lower_bound, upper_bound;
{
	int i = 0;
	double new_number;
	double dblent();

	do{
		if(i > 0)
			printf("dbl_check: entry out of bounds\n");
		new_number = dblent(prompt,number);
		i++;
	} while((new_number > upper_bound) || (new_number < lower_bound));

	return(new_number);
}
