/*   intent.c  */
/*   Written by Stephen Levine and Jim Klavetter */
/*   08-15-85  */

/*   8 mar 1986: modified to allow retention of old value if just
 *			a <RETURN> is entered.
 *
 *   03-05-86:  extensively modified to be much smarter and actually
 *			be useful for error diagnostics
 */

#define OK 1
#define BAD 0
#include <stdio.h>
#include <ctype.h>

intent (prompt, number)
int     number;
char   *prompt[];
{
    char    value[15];
    int     i = 0;
    int     j = 0;
    int     k;
    int     errflag;

    do {
	if (j++) {
	    i = 0;
	    printf ("Bad character, try again.  ");
	    for (j = 0; j < 15; j++)
		value[j] = '\0';
	}
	printf ("%s [%d] (integer) : ", prompt,number);
	while ((value[i] = getchar ()) != '\n')
	    i++;
	if (i == 0)
	    break;
	for (k = 0; k < i; k++)
	    if ((errflag = isdigit (value[k])) == BAD)
		if ((k == 0) && ((value[k] == '-') || (value[k] == '+')))
		    errflag = OK;
		else
		    break;
    } while (errflag == BAD);
    if (i == 0)
	return (number);
    else
	return (atoi (value));
}
