/*  localmath.h
    09-25-86

    Definitions and declarations for local math library. Brought
    over from poincare. 

*/

/* should have been in math.h */

#define TINY 1e-8
#define PI 3.14159265358979323846
#define TWOPI 6.283185307179586476925287
#define MOD(x,y) (((x)/(y)-(int)((x)/(y)))*(y))
#define MAX(x,y) ((x) > (y)) ? (x) : (y)
#define MIN(x,y) ((x) < (y)) ? (x) : (y)
#define ABS(a) ((a) < 0 ? -(a) : (a))
#define DEG(a) ((a)*180./3.14159265358979323846)
#define RAD(a) ((a)*3.14159265358979323846/180.)
